Page MenuHomePhabricator

Move callers away from getMainObjectStash() that do not need it
Open, MediumPublic

Description

Move callers to "db-replicated" or the WAN cache that can avoid using $wgMainStash.

Only non-sessions things that need very fast and DC-replicated stores should keep using it for now.

Event Timeline

aaron created this task.Jul 6 2019, 6:17 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 6 2019, 6:17 AM

Change 520964 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/core@master] jobqueue: migrate root job deduplication to the WAN cache

https://gerrit.wikimedia.org/r/520964

Change 520965 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/core@master] upload: move UploadBase status store from $wgMainStash to "db-replicated"

https://gerrit.wikimedia.org/r/520965

Change 520969 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/core@master] Move the showMissingArticle() cache from $wgMainStash to "db-replicated"

https://gerrit.wikimedia.org/r/520969

Change 521014 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/core@master] Remove $wgSiteStatsAsyncFactor feature and related $wgMainStash use

https://gerrit.wikimedia.org/r/521014

Change 521017 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/extensions/LoginNotify@master] Use $wgSessionCacheType instead of $wgMainStash

https://gerrit.wikimedia.org/r/521017

Change 521018 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/extensions/AbuseFilter@master] Move "block-autopromote" key from $wgMainStash to db-replicated

https://gerrit.wikimedia.org/r/521018

Change 521019 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/extensions/ConfirmEdit@master] Migrate captcha sessions from $wgMainStash to $wgSessionCacheType

https://gerrit.wikimedia.org/r/521019

Change 521020 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/extensions/TorBlock@master] Convert getExitNodes() from $wgMainStash to the WAN cache

https://gerrit.wikimedia.org/r/521020

Change 521209 had a related patch set uploaded (by Krinkle; owner: Aaron Schulz):
[mediawiki/extensions/WikimediaEvents@master] Move user salt hash storage from $wgMainStash to $wgSessionCacheType

https://gerrit.wikimedia.org/r/521209

Krinkle updated the task description. (Show Details)Jul 8 2019, 4:40 PM
kchapman moved this task from Inbox to Doing on the Performance-Team board.Jul 8 2019, 7:51 PM

Change 521020 merged by jenkins-bot:
[mediawiki/extensions/TorBlock@master] Convert getExitNodes() from $wgMainStash to the WAN cache

https://gerrit.wikimedia.org/r/521020

Change 499969 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/core@master] Use the main stash for basic user talk page notifications

https://gerrit.wikimedia.org/r/499969

Change 522590 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/extensions/FlaggedRevs@master] Convert FlaggedRevsStats and ValidationStatistic to using WAN cache

https://gerrit.wikimedia.org/r/522590

Change 522591 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/extensions/FlaggedRevs@master] Migrate FRUserActivity store to WAN cache and "db-replicated"

https://gerrit.wikimedia.org/r/522591

Change 522619 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/extensions/AbuseFilter@master] Move filter profiling to "db-replicated" and update via AbuseFilterProfileUpdateJob

https://gerrit.wikimedia.org/r/522619

Change 520965 merged by jenkins-bot:
[mediawiki/core@master] upload: move UploadBase status store from $wgMainStash to "db-replicated"

https://gerrit.wikimedia.org/r/520965

Change 520969 merged by jenkins-bot:
[mediawiki/core@master] Move the showMissingArticle() cache from $wgMainStash to "db-replicated"

https://gerrit.wikimedia.org/r/520969

Change 520964 merged by jenkins-bot:
[mediawiki/core@master] jobqueue: migrate root job deduplication to the WAN cache

https://gerrit.wikimedia.org/r/520964

Change 521014 merged by jenkins-bot:
[mediawiki/core@master] Remove $wgSiteStatsAsyncFactor feature and related $wgMainStash use

https://gerrit.wikimedia.org/r/521014

Change 521019 abandoned by Aaron Schulz:
Migrate captcha sessions from $wgMainStash to $wgSessionCacheType

https://gerrit.wikimedia.org/r/521019

Change 524662 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/extensions/FileImporter@master] Convert FileImporterSuccessCache to "db-replicated" cache

https://gerrit.wikimedia.org/r/524662

Krinkle updated the task description. (Show Details)Jul 30 2019, 10:34 PM

Change 524662 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Convert FileImporterSuccessCache to "db-replicated" cache

https://gerrit.wikimedia.org/r/524662

Krinkle triaged this task as Medium priority.Aug 6 2019, 1:10 AM
Krinkle moved this task from Doing to Blocked or Needs-CR on the Performance-Team board.

Change 521018 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Move "block-autopromote" key from $wgMainStash to 'db-replicated'

https://gerrit.wikimedia.org/r/521018

Change 529192 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/extensions/LoginNotify@master] [DNM] Switch to "db-replicated" instead of $wgMainStash

https://gerrit.wikimedia.org/r/529192

Change 493628 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/extensions/Graph@master] Rely on ParserCache instead of using $wgMainStash in a flakey way

https://gerrit.wikimedia.org/r/493628

Change 493628 merged by jenkins-bot:
[mediawiki/extensions/Graph@master] Rely on ParserCache instead of using $wgMainStash in a flakey way

https://gerrit.wikimedia.org/r/493628

Change 522590 merged by jenkins-bot:
[mediawiki/extensions/FlaggedRevs@master] Convert statistics to WAN cache and local cluster cache locking

https://gerrit.wikimedia.org/r/522590

Change 522591 merged by jenkins-bot:
[mediawiki/extensions/FlaggedRevs@master] Migrate FRUserActivity store to WAN cache and "db-replicated"

https://gerrit.wikimedia.org/r/522591

Change 521017 abandoned by Aaron Schulz:
[DNM] Use 'db-replicated' instead of $wgMainStash

Reason:
duplicate

https://gerrit.wikimedia.org/r/521017